package hr.servlets;

import hr.genetics.models.Path;
import hr.seminar.PathScanner;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class PathManager extends HttpServlet {

	private static final long serialVersionUID = 6310608752168045863L;

	@Override
	protected void doDelete(HttpServletRequest req, HttpServletResponse resp)
			throws ServletException, IOException {
		
		Integer pathID = new Integer(req.getParameter("pathID"));
		resp.getWriter().println(Path.removePath(pathID));
	
	}
	
	@Override
	protected void doGet(HttpServletRequest req, HttpServletResponse resp)
			throws ServletException, IOException {
		
		resp.getWriter().println("accepting only post requests!");
		
	}
	
	@Override
	protected void doPost(HttpServletRequest req, HttpServletResponse resp)
			throws ServletException, IOException {
	
		String path = req.getParameter("path");
		PathScanner ps = new PathScanner(path);
		
		for (Path newPath : ps.getPaths())
			Path.addPath(newPath);		

	}
	
}
